package com.aucma.base.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 质检项信息维护对象 base_quality_inspection_item
 *
 * @author Yinq
 * @date 2023-10-16
 */
public class BaseQualityInspectionItem extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 质检项/质量缺陷编号
     */
    @Excel(name = "质检项/质量缺陷编号")
    private String qualityDefectCode;

    /**
     * 质检项/质量缺陷描述
     */
    @Excel(name = "质检项/质量缺陷描述")
    private String qualityDefectName;

    /**
     * 父级编号
     */
    @Excel(name = "父级编号")
    private String parentId;

    /**
     * 物料大类
     */
    @Excel(name = "物料大类")
    private String materialCategories;

    /**
     * 物料小类
     */
    @Excel(name = "物料小类")
    private String materialSubclass;

    /**
     * 工位编号
     */
    @Excel(name = "工位编号")
    private String stationCode;

    /**
     * 工位名称
     */
    @Excel(name = "工位名称")
    private String stationName;

    /**
     * 启用标识
     */
    @Excel(name = "启用标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setQualityDefectCode(String qualityDefectCode) {
        this.qualityDefectCode = qualityDefectCode;
    }

    public String getQualityDefectCode() {
        return qualityDefectCode;
    }

    public void setQualityDefectName(String qualityDefectName) {
        this.qualityDefectName = qualityDefectName;
    }

    public String getQualityDefectName() {
        return qualityDefectName;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setMaterialCategories(String materialCategories) {
        this.materialCategories = materialCategories;
    }

    public String getMaterialCategories() {
        return materialCategories;
    }

    public void setMaterialSubclass(String materialSubclass) {
        this.materialSubclass = materialSubclass;
    }

    public String getMaterialSubclass() {
        return materialSubclass;
    }


    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return "BaseQualityInspectionItem{" +
                "objId=" + objId +
                ", qualityDefectCode='" + qualityDefectCode + '\'' +
                ", qualityDefectName='" + qualityDefectName + '\'' +
                ", parentId='" + parentId + '\'' +
                ", materialCategories='" + materialCategories + '\'' +
                ", materialSubclass='" + materialSubclass + '\'' +
                ", stationCode='" + stationCode + '\'' +
                ", isFlag=" + isFlag +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                ", updatedBy='" + updatedBy + '\'' +
                ", updatedTime=" + updatedTime +
                '}';
    }
}
